Index: trunk/src/lib/gui/gtk_gui/Makefile.in
===================================================================
--- trunk/src/lib/gui/gtk_gui/Makefile.in	(revision 5672)
+++ trunk/src/lib/gui/gtk_gui/Makefile.in	(revision 5674)
@@ -1,7 +1,7 @@
-# Makefile.in generated by automake 1.8.5 from Makefile.am.
+# Makefile.in generated by automake 1.9.6 from Makefile.am.
 # @configure_input@
 
 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
-# 2003, 2004  Free Software Foundation, Inc.
+# 2003, 2004, 2005  Free Software Foundation, Inc.
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
@@ -15,6 +15,4 @@
 @SET_MAKE@
 
-
-SOURCES = $(libORXgui_a_SOURCES)
 
 srcdir = @srcdir@
@@ -38,5 +36,7 @@
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
+build_triplet = @build@
 host_triplet = @host@
+target_triplet = @target@
 subdir = src/lib/gui/gtk_gui
 DIST_COMMON = $(noinst_HEADERS) $(srcdir)/Makefile.am \
@@ -67,14 +67,4 @@
 depcomp = $(SHELL) $(top_srcdir)/depcomp
 am__depfiles_maybe = depfiles
-@AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/libORXgui_a-gui.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/libORXgui_a-gui_audio.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/libORXgui_a-gui_banner.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/libORXgui_a-gui_element.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/libORXgui_a-gui_exec.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/libORXgui_a-gui_flags.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/libORXgui_a-gui_gtk.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/libORXgui_a-gui_keys.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/libORXgui_a-gui_update.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/libORXgui_a-gui_video.Po
 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
@@ -242,7 +232,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/gui/gtk_gui/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/gui/gtk_gui/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/gui/gtk_gui/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/gui/gtk_gui/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
@@ -291,6 +281,5 @@
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ $<
 
@@ -299,6 +288,5 @@
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
@@ -307,6 +295,5 @@
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libORXgui_a-gui.Tpo" "$(DEPDIR)/libORXgui_a-gui.Po"; else rm -f "$(DEPDIR)/libORXgui_a-gui.Tpo"; exit 1; fi
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='gui.cc' object='libORXgui_a-gui.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/libORXgui_a-gui.Po' tmpdepfile='$(DEPDIR)/libORXgui_a-gui.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libORXgui_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libORXgui_a-gui.o `test -f 'gui.cc' || echo '$(srcdir)/'`gui.cc
 
@@ -315,6 +302,5 @@
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libORXgui_a-gui.Tpo" "$(DEPDIR)/libORXgui_a-gui.Po"; else rm -f "$(DEPDIR)/libORXgui_a-gui.Tpo"; exit 1; fi
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='gui.cc' object='libORXgui_a-gui.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/libORXgui_a-gui.Po' tmpdepfile='$(DEPDIR)/libORXgui_a-gui.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libORXgui_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libORXgui_a-gui.obj `if test -f 'gui.cc'; then $(CYGPATH_W) 'gui.cc'; else $(CYGPATH_W) '$(srcdir)/gui.cc'; fi`
 
@@ -323,6 +309,5 @@
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libORXgui_a-gui_gtk.Tpo" "$(DEPDIR)/libORXgui_a-gui_gtk.Po"; else rm -f "$(DEPDIR)/libORXgui_a-gui_gtk.Tpo"; exit 1; fi
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='gui_gtk.cc' object='libORXgui_a-gui_gtk.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/libORXgui_a-gui_gtk.Po' tmpdepfile='$(DEPDIR)/libORXgui_a-gui_gtk.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libORXgui_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libORXgui_a-gui_gtk.o `test -f 'gui_gtk.cc' || echo '$(srcdir)/'`gui_gtk.cc
 
@@ -331,6 +316,5 @@
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libORXgui_a-gui_gtk.Tpo" "$(DEPDIR)/libORXgui_a-gui_gtk.Po"; else rm -f "$(DEPDIR)/libORXgui_a-gui_gtk.Tpo"; exit 1; fi
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='gui_gtk.cc' object='libORXgui_a-gui_gtk.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/libORXgui_a-gui_gtk.Po' tmpdepfile='$(DEPDIR)/libORXgui_a-gui_gtk.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libORXgui_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libORXgui_a-gui_gtk.obj `if test -f 'gui_gtk.cc'; then $(CYGPATH_W) 'gui_gtk.cc'; else $(CYGPATH_W) '$(srcdir)/gui_gtk.cc'; fi`
 
@@ -339,6 +323,5 @@
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libORXgui_a-gui_element.Tpo" "$(DEPDIR)/libORXgui_a-gui_element.Po"; else rm -f "$(DEPDIR)/libORXgui_a-gui_element.Tpo"; exit 1; fi
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='gui_element.cc' object='libORXgui_a-gui_element.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/libORXgui_a-gui_element.Po' tmpdepfile='$(DEPDIR)/libORXgui_a-gui_element.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libORXgui_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libORXgui_a-gui_element.o `test -f 'gui_element.cc' || echo '$(srcdir)/'`gui_element.cc
 
@@ -347,6 +330,5 @@
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libORXgui_a-gui_element.Tpo" "$(DEPDIR)/libORXgui_a-gui_element.Po"; else rm -f "$(DEPDIR)/libORXgui_a-gui_element.Tpo"; exit 1; fi
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='gui_element.cc' object='libORXgui_a-gui_element.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/libORXgui_a-gui_element.Po' tmpdepfile='$(DEPDIR)/libORXgui_a-gui_element.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libORXgui_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libORXgui_a-gui_element.obj `if test -f 'gui_element.cc'; then $(CYGPATH_W) 'gui_element.cc'; else $(CYGPATH_W) '$(srcdir)/gui_element.cc'; fi`
 
@@ -355,6 +337,5 @@
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libORXgui_a-gui_video.Tpo" "$(DEPDIR)/libORXgui_a-gui_video.Po"; else rm -f "$(DEPDIR)/libORXgui_a-gui_video.Tpo"; exit 1; fi
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='gui_video.cc' object='libORXgui_a-gui_video.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/libORXgui_a-gui_video.Po' tmpdepfile='$(DEPDIR)/libORXgui_a-gui_video.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libORXgui_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libORXgui_a-gui_video.o `test -f 'gui_video.cc' || echo '$(srcdir)/'`gui_video.cc
 
@@ -363,6 +344,5 @@
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libORXgui_a-gui_video.Tpo" "$(DEPDIR)/libORXgui_a-gui_video.Po"; else rm -f "$(DEPDIR)/libORXgui_a-gui_video.Tpo"; exit 1; fi
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='gui_video.cc' object='libORXgui_a-gui_video.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/libORXgui_a-gui_video.Po' tmpdepfile='$(DEPDIR)/libORXgui_a-gui_video.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libORXgui_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libORXgui_a-gui_video.obj `if test -f 'gui_video.cc'; then $(CYGPATH_W) 'gui_video.cc'; else $(CYGPATH_W) '$(srcdir)/gui_video.cc'; fi`
 
@@ -371,6 +351,5 @@
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libORXgui_a-gui_audio.Tpo" "$(DEPDIR)/libORXgui_a-gui_audio.Po"; else rm -f "$(DEPDIR)/libORXgui_a-gui_audio.Tpo"; exit 1; fi
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='gui_audio.cc' object='libORXgui_a-gui_audio.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/libORXgui_a-gui_audio.Po' tmpdepfile='$(DEPDIR)/libORXgui_a-gui_audio.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libORXgui_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libORXgui_a-gui_audio.o `test -f 'gui_audio.cc' || echo '$(srcdir)/'`gui_audio.cc
 
@@ -379,6 +358,5 @@
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libORXgui_a-gui_audio.Tpo" "$(DEPDIR)/libORXgui_a-gui_audio.Po"; else rm -f "$(DEPDIR)/libORXgui_a-gui_audio.Tpo"; exit 1; fi
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='gui_audio.cc' object='libORXgui_a-gui_audio.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/libORXgui_a-gui_audio.Po' tmpdepfile='$(DEPDIR)/libORXgui_a-gui_audio.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libORXgui_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libORXgui_a-gui_audio.obj `if test -f 'gui_audio.cc'; then $(CYGPATH_W) 'gui_audio.cc'; else $(CYGPATH_W) '$(srcdir)/gui_audio.cc'; fi`
 
@@ -387,6 +365,5 @@
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libORXgui_a-gui_exec.Tpo" "$(DEPDIR)/libORXgui_a-gui_exec.Po"; else rm -f "$(DEPDIR)/libORXgui_a-gui_exec.Tpo"; exit 1; fi
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='gui_exec.cc' object='libORXgui_a-gui_exec.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/libORXgui_a-gui_exec.Po' tmpdepfile='$(DEPDIR)/libORXgui_a-gui_exec.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libORXgui_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libORXgui_a-gui_exec.o `test -f 'gui_exec.cc' || echo '$(srcdir)/'`gui_exec.cc
 
@@ -395,6 +372,5 @@
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libORXgui_a-gui_exec.Tpo" "$(DEPDIR)/libORXgui_a-gui_exec.Po"; else rm -f "$(DEPDIR)/libORXgui_a-gui_exec.Tpo"; exit 1; fi
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='gui_exec.cc' object='libORXgui_a-gui_exec.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/libORXgui_a-gui_exec.Po' tmpdepfile='$(DEPDIR)/libORXgui_a-gui_exec.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libORXgui_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libORXgui_a-gui_exec.obj `if test -f 'gui_exec.cc'; then $(CYGPATH_W) 'gui_exec.cc'; else $(CYGPATH_W) '$(srcdir)/gui_exec.cc'; fi`
 
@@ -403,6 +379,5 @@
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libORXgui_a-gui_flags.Tpo" "$(DEPDIR)/libORXgui_a-gui_flags.Po"; else rm -f "$(DEPDIR)/libORXgui_a-gui_flags.Tpo"; exit 1; fi
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='gui_flags.cc' object='libORXgui_a-gui_flags.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/libORXgui_a-gui_flags.Po' tmpdepfile='$(DEPDIR)/libORXgui_a-gui_flags.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libORXgui_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libORXgui_a-gui_flags.o `test -f 'gui_flags.cc' || echo '$(srcdir)/'`gui_flags.cc
 
@@ -411,6 +386,5 @@
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libORXgui_a-gui_flags.Tpo" "$(DEPDIR)/libORXgui_a-gui_flags.Po"; else rm -f "$(DEPDIR)/libORXgui_a-gui_flags.Tpo"; exit 1; fi
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='gui_flags.cc' object='libORXgui_a-gui_flags.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/libORXgui_a-gui_flags.Po' tmpdepfile='$(DEPDIR)/libORXgui_a-gui_flags.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libORXgui_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libORXgui_a-gui_flags.obj `if test -f 'gui_flags.cc'; then $(CYGPATH_W) 'gui_flags.cc'; else $(CYGPATH_W) '$(srcdir)/gui_flags.cc'; fi`
 
@@ -419,6 +393,5 @@
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libORXgui_a-gui_banner.Tpo" "$(DEPDIR)/libORXgui_a-gui_banner.Po"; else rm -f "$(DEPDIR)/libORXgui_a-gui_banner.Tpo"; exit 1; fi
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='gui_banner.cc' object='libORXgui_a-gui_banner.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/libORXgui_a-gui_banner.Po' tmpdepfile='$(DEPDIR)/libORXgui_a-gui_banner.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libORXgui_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libORXgui_a-gui_banner.o `test -f 'gui_banner.cc' || echo '$(srcdir)/'`gui_banner.cc
 
@@ -427,6 +400,5 @@
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libORXgui_a-gui_banner.Tpo" "$(DEPDIR)/libORXgui_a-gui_banner.Po"; else rm -f "$(DEPDIR)/libORXgui_a-gui_banner.Tpo"; exit 1; fi
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='gui_banner.cc' object='libORXgui_a-gui_banner.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/libORXgui_a-gui_banner.Po' tmpdepfile='$(DEPDIR)/libORXgui_a-gui_banner.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libORXgui_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libORXgui_a-gui_banner.obj `if test -f 'gui_banner.cc'; then $(CYGPATH_W) 'gui_banner.cc'; else $(CYGPATH_W) '$(srcdir)/gui_banner.cc'; fi`
 
@@ -435,6 +407,5 @@
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libORXgui_a-gui_keys.Tpo" "$(DEPDIR)/libORXgui_a-gui_keys.Po"; else rm -f "$(DEPDIR)/libORXgui_a-gui_keys.Tpo"; exit 1; fi
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='gui_keys.cc' object='libORXgui_a-gui_keys.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/libORXgui_a-gui_keys.Po' tmpdepfile='$(DEPDIR)/libORXgui_a-gui_keys.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libORXgui_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libORXgui_a-gui_keys.o `test -f 'gui_keys.cc' || echo '$(srcdir)/'`gui_keys.cc
 
@@ -443,6 +414,5 @@
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libORXgui_a-gui_keys.Tpo" "$(DEPDIR)/libORXgui_a-gui_keys.Po"; else rm -f "$(DEPDIR)/libORXgui_a-gui_keys.Tpo"; exit 1; fi
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='gui_keys.cc' object='libORXgui_a-gui_keys.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/libORXgui_a-gui_keys.Po' tmpdepfile='$(DEPDIR)/libORXgui_a-gui_keys.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libORXgui_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libORXgui_a-gui_keys.obj `if test -f 'gui_keys.cc'; then $(CYGPATH_W) 'gui_keys.cc'; else $(CYGPATH_W) '$(srcdir)/gui_keys.cc'; fi`
 
@@ -451,6 +421,5 @@
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libORXgui_a-gui_update.Tpo" "$(DEPDIR)/libORXgui_a-gui_update.Po"; else rm -f "$(DEPDIR)/libORXgui_a-gui_update.Tpo"; exit 1; fi
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='gui_update.cc' object='libORXgui_a-gui_update.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/libORXgui_a-gui_update.Po' tmpdepfile='$(DEPDIR)/libORXgui_a-gui_update.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libORXgui_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libORXgui_a-gui_update.o `test -f 'gui_update.cc' || echo '$(srcdir)/'`gui_update.cc
 
@@ -459,6 +428,5 @@
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libORXgui_a-gui_update.Tpo" "$(DEPDIR)/libORXgui_a-gui_update.Po"; else rm -f "$(DEPDIR)/libORXgui_a-gui_update.Tpo"; exit 1; fi
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='gui_update.cc' object='libORXgui_a-gui_update.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/libORXgui_a-gui_update.Po' tmpdepfile='$(DEPDIR)/libORXgui_a-gui_update.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libORXgui_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libORXgui_a-gui_update.obj `if test -f 'gui_update.cc'; then $(CYGPATH_W) 'gui_update.cc'; else $(CYGPATH_W) '$(srcdir)/gui_update.cc'; fi`
 uninstall-info-am:
@@ -562,5 +530,5 @@
 
 distclean-generic:
-	-rm -f $(CONFIG_CLEAN_FILES)
+	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
 
 maintainer-clean-generic: