Index: /branches/world_entities/src/Makefile.am
===================================================================
--- /branches/world_entities/src/Makefile.am	(revision 5678)
+++ /branches/world_entities/src/Makefile.am	(revision 5679)
@@ -62,4 +62,5 @@
                   world_entities/weapons/test_gun.cc \
                   world_entities/weapons/turret.cc \
+		  world_entities/weapons/ground_turret.cc \
                   world_entities/weapons/aiming_turret.cc \
                   world_entities/weapons/cannon.cc \
Index: /branches/world_entities/src/Makefile.in
===================================================================
--- /branches/world_entities/src/Makefile.in	(revision 5678)
+++ /branches/world_entities/src/Makefile.in	(revision 5679)
@@ -65,4 +65,5 @@
 	orxonox-weapon.$(OBJEXT) orxonox-projectile.$(OBJEXT) \
 	orxonox-test_gun.$(OBJEXT) orxonox-turret.$(OBJEXT) \
+	orxonox-ground_turret.$(OBJEXT) \
 	orxonox-aiming_turret.$(OBJEXT) orxonox-cannon.$(OBJEXT) \
 	orxonox-test_bullet.$(OBJEXT) orxonox-rocket.$(OBJEXT) \
@@ -258,4 +259,5 @@
                   world_entities/weapons/test_gun.cc \
                   world_entities/weapons/turret.cc \
+		  world_entities/weapons/ground_turret.cc \
                   world_entities/weapons/aiming_turret.cc \
                   world_entities/weapons/cannon.cc \
@@ -412,4 +414,5 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/orxonox-crosshair.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/orxonox-environment.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/orxonox-ground_turret.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/orxonox-laser.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/orxonox-laser_power_up.Po@am__quote@
@@ -743,4 +746,18 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o orxonox-turret.obj `if test -f 'world_entities/weapons/turret.cc'; then $(CYGPATH_W) 'world_entities/weapons/turret.cc'; else $(CYGPATH_W) '$(srcdir)/world_entities/weapons/turret.cc'; fi`
+
+orxonox-ground_turret.o: world_entities/weapons/ground_turret.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT orxonox-ground_turret.o -MD -MP -MF "$(DEPDIR)/orxonox-ground_turret.Tpo" -c -o orxonox-ground_turret.o `test -f 'world_entities/weapons/ground_turret.cc' || echo '$(srcdir)/'`world_entities/weapons/ground_turret.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/orxonox-ground_turret.Tpo" "$(DEPDIR)/orxonox-ground_turret.Po"; else rm -f "$(DEPDIR)/orxonox-ground_turret.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='world_entities/weapons/ground_turret.cc' object='orxonox-ground_turret.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o orxonox-ground_turret.o `test -f 'world_entities/weapons/ground_turret.cc' || echo '$(srcdir)/'`world_entities/weapons/ground_turret.cc
+
+orxonox-ground_turret.obj: world_entities/weapons/ground_turret.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT orxonox-ground_turret.obj -MD -MP -MF "$(DEPDIR)/orxonox-ground_turret.Tpo" -c -o orxonox-ground_turret.obj `if test -f 'world_entities/weapons/ground_turret.cc'; then $(CYGPATH_W) 'world_entities/weapons/ground_turret.cc'; else $(CYGPATH_W) '$(srcdir)/world_entities/weapons/ground_turret.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/orxonox-ground_turret.Tpo" "$(DEPDIR)/orxonox-ground_turret.Po"; else rm -f "$(DEPDIR)/orxonox-ground_turret.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='world_entities/weapons/ground_turret.cc' object='orxonox-ground_turret.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o orxonox-ground_turret.obj `if test -f 'world_entities/weapons/ground_turret.cc'; then $(CYGPATH_W) 'world_entities/weapons/ground_turret.cc'; else $(CYGPATH_W) '$(srcdir)/world_entities/weapons/ground_turret.cc'; fi`
 
 orxonox-aiming_turret.o: world_entities/weapons/aiming_turret.cc
Index: /branches/world_entities/src/defs/class_id.h
===================================================================
--- /branches/world_entities/src/defs/class_id.h	(revision 5678)
+++ /branches/world_entities/src/defs/class_id.h	(revision 5679)
@@ -142,5 +142,5 @@
   CL_LASER                      =    0x00000242,
   CL_BOMB                       =    0x00000243,
-
+  CL_GROUND_TURRET		=    0x00000244,
 
   // gamePlay (range from 0x00000500 0x000005ff)
Index: /branches/world_entities/src/world_entities/Makefile.am
===================================================================
--- /branches/world_entities/src/world_entities/Makefile.am	(revision 5678)
+++ /branches/world_entities/src/world_entities/Makefile.am	(revision 5679)
@@ -25,4 +25,5 @@
                   weapons/rocket.cc \
                   weapons/laser.cc \
+		  weapons/ground_turret.cc \
                   weapons/crosshair.cc \
                   power_ups/power_up.cc \
Index: /branches/world_entities/src/world_entities/weapons/ground_turret.cc
===================================================================
--- /branches/world_entities/src/world_entities/weapons/ground_turret.cc	(revision 5678)
+++ /branches/world_entities/src/world_entities/weapons/ground_turret.cc	(revision 5679)
@@ -46,9 +46,5 @@
 void GroundTurret::init()
 {
-  this->setClassID(CL_PROTO_WORLD_ENTITY, "GroundTurret");
-
-  /**
-   * @todo: Write CL_PROTO_WORLD_ENTITY INTO THE src/defs/class_id.h (your own definition)
-   */
+  this->setClassID(CL_GROUND_TURRET, "GroundTurret");
 
 }
@@ -63,5 +59,5 @@
 {
   // all the clases this Entity is directly derived from must be called in this way, to load all settings.
-  static_cast<WorldEntity*>(this)->loadParam(root);
+//  static_cast<WorldEntity*>(this)->loadParam(root);
 
 
@@ -76,8 +72,8 @@
  * @param time the Time to step
  */
-GroundTurret::tick(float time)
-{
-
-}
+//GroundTurret::tick(float time)
+//{
+//
+//}
 
 /**
@@ -98,6 +94,6 @@
   glMultMatrixf((float*)matrix);
 
-  if (model)
-    model->draw();
+//  if (model)
+//    model->draw();
   glPopMatrix();
 }
Index: /branches/world_entities/src/world_entities/weapons/ground_turret.h
===================================================================
--- /branches/world_entities/src/world_entities/weapons/ground_turret.h	(revision 5678)
+++ /branches/world_entities/src/world_entities/weapons/ground_turret.h	(revision 5679)
@@ -7,13 +7,13 @@
 #define _GROUND_TURRET_H
 
-#include "world_entity.h"
+#include "weapon.h"
 
 //! A Class to ...
-class GroundTurret : public WorldEntity
+class GroundTurret : public Weapon
 {
 
  public:
-  ProtoWorldEntity(const TiXmlElement* root = NULL);
-  virtual ~ProtoWorldEntity();
+  GroundTurret(const TiXmlElement* root = NULL);
+  virtual ~GroundTurret();
 
   void loadParams(const TiXmlElement* root);
@@ -25,5 +25,5 @@
 
   virtual void draw() const;
-  virtual void tick(float time);
+//  virtual void tick(float time);
   virtual void collidesWith (WorldEntity* entity, const Vector& location);
 