Index: branches/world_entities/src/Makefile.in
===================================================================
--- branches/world_entities/src/Makefile.in	(revision 5682)
+++ branches/world_entities/src/Makefile.in	(revision 5685)
@@ -245,7 +245,7 @@
                   world_entities/camera.cc \
                   world_entities/player.cc \
-                  world_entities/npc.cc \
-                  world_entities/npc_test1.cc \
-                  world_entities/npc_test.cc \
+                  world_entities/npcs/npc.cc \
+                  world_entities/npcs/npc_test1.cc \
+                  world_entities/npcs/npc_test.cc \
                   world_entities/environment.cc \
                   world_entities/skysphere.cc \
@@ -260,5 +260,5 @@
                   world_entities/weapons/test_gun.cc \
                   world_entities/weapons/turret.cc \
-		  world_entities/weapons/ground_turret.cc \
+                  world_entities/weapons/ground_turret.cc \
                   world_entities/weapons/aiming_turret.cc \
                   world_entities/weapons/cannon.cc \
@@ -284,6 +284,7 @@
                  world_entities/camera.h \
                  world_entities/player.h \
-                 world_entities/npc.h \
-                 world_entities/npc_test1.h \
+                 world_entities/npcs/npc.h \
+                 world_entities/npcs/npc_test.h \
+                 world_entities/npcs/npc_test1.h \
                  world_entities/environment.h \
                  world_entities/skysphere.h \
@@ -553,45 +554,45 @@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o orxonox-player.obj `if test -f 'world_entities/player.cc'; then $(CYGPATH_W) 'world_entities/player.cc'; else $(CYGPATH_W) '$(srcdir)/world_entities/player.cc'; fi`
 
-orxonox-npc.o: world_entities/npc.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT orxonox-npc.o -MD -MP -MF "$(DEPDIR)/orxonox-npc.Tpo" -c -o orxonox-npc.o `test -f 'world_entities/npc.cc' || echo '$(srcdir)/'`world_entities/npc.cc; \
+orxonox-npc.o: world_entities/npcs/npc.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT orxonox-npc.o -MD -MP -MF "$(DEPDIR)/orxonox-npc.Tpo" -c -o orxonox-npc.o `test -f 'world_entities/npcs/npc.cc' || echo '$(srcdir)/'`world_entities/npcs/npc.cc; \
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/orxonox-npc.Tpo" "$(DEPDIR)/orxonox-npc.Po"; else rm -f "$(DEPDIR)/orxonox-npc.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='world_entities/npc.cc' object='orxonox-npc.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o orxonox-npc.o `test -f 'world_entities/npc.cc' || echo '$(srcdir)/'`world_entities/npc.cc
-
-orxonox-npc.obj: world_entities/npc.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT orxonox-npc.obj -MD -MP -MF "$(DEPDIR)/orxonox-npc.Tpo" -c -o orxonox-npc.obj `if test -f 'world_entities/npc.cc'; then $(CYGPATH_W) 'world_entities/npc.cc'; else $(CYGPATH_W) '$(srcdir)/world_entities/npc.cc'; fi`; \
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='world_entities/npcs/npc.cc' object='orxonox-npc.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o orxonox-npc.o `test -f 'world_entities/npcs/npc.cc' || echo '$(srcdir)/'`world_entities/npcs/npc.cc
+
+orxonox-npc.obj: world_entities/npcs/npc.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT orxonox-npc.obj -MD -MP -MF "$(DEPDIR)/orxonox-npc.Tpo" -c -o orxonox-npc.obj `if test -f 'world_entities/npcs/npc.cc'; then $(CYGPATH_W) 'world_entities/npcs/npc.cc'; else $(CYGPATH_W) '$(srcdir)/world_entities/npcs/npc.cc'; fi`; \
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/orxonox-npc.Tpo" "$(DEPDIR)/orxonox-npc.Po"; else rm -f "$(DEPDIR)/orxonox-npc.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='world_entities/npc.cc' object='orxonox-npc.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o orxonox-npc.obj `if test -f 'world_entities/npc.cc'; then $(CYGPATH_W) 'world_entities/npc.cc'; else $(CYGPATH_W) '$(srcdir)/world_entities/npc.cc'; fi`
-
-orxonox-npc_test1.o: world_entities/npc_test1.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT orxonox-npc_test1.o -MD -MP -MF "$(DEPDIR)/orxonox-npc_test1.Tpo" -c -o orxonox-npc_test1.o `test -f 'world_entities/npc_test1.cc' || echo '$(srcdir)/'`world_entities/npc_test1.cc; \
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='world_entities/npcs/npc.cc' object='orxonox-npc.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o orxonox-npc.obj `if test -f 'world_entities/npcs/npc.cc'; then $(CYGPATH_W) 'world_entities/npcs/npc.cc'; else $(CYGPATH_W) '$(srcdir)/world_entities/npcs/npc.cc'; fi`
+
+orxonox-npc_test1.o: world_entities/npcs/npc_test1.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT orxonox-npc_test1.o -MD -MP -MF "$(DEPDIR)/orxonox-npc_test1.Tpo" -c -o orxonox-npc_test1.o `test -f 'world_entities/npcs/npc_test1.cc' || echo '$(srcdir)/'`world_entities/npcs/npc_test1.cc; \
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/orxonox-npc_test1.Tpo" "$(DEPDIR)/orxonox-npc_test1.Po"; else rm -f "$(DEPDIR)/orxonox-npc_test1.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='world_entities/npc_test1.cc' object='orxonox-npc_test1.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o orxonox-npc_test1.o `test -f 'world_entities/npc_test1.cc' || echo '$(srcdir)/'`world_entities/npc_test1.cc
-
-orxonox-npc_test1.obj: world_entities/npc_test1.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT orxonox-npc_test1.obj -MD -MP -MF "$(DEPDIR)/orxonox-npc_test1.Tpo" -c -o orxonox-npc_test1.obj `if test -f 'world_entities/npc_test1.cc'; then $(CYGPATH_W) 'world_entities/npc_test1.cc'; else $(CYGPATH_W) '$(srcdir)/world_entities/npc_test1.cc'; fi`; \
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='world_entities/npcs/npc_test1.cc' object='orxonox-npc_test1.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o orxonox-npc_test1.o `test -f 'world_entities/npcs/npc_test1.cc' || echo '$(srcdir)/'`world_entities/npcs/npc_test1.cc
+
+orxonox-npc_test1.obj: world_entities/npcs/npc_test1.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT orxonox-npc_test1.obj -MD -MP -MF "$(DEPDIR)/orxonox-npc_test1.Tpo" -c -o orxonox-npc_test1.obj `if test -f 'world_entities/npcs/npc_test1.cc'; then $(CYGPATH_W) 'world_entities/npcs/npc_test1.cc'; else $(CYGPATH_W) '$(srcdir)/world_entities/npcs/npc_test1.cc'; fi`; \
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/orxonox-npc_test1.Tpo" "$(DEPDIR)/orxonox-npc_test1.Po"; else rm -f "$(DEPDIR)/orxonox-npc_test1.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='world_entities/npc_test1.cc' object='orxonox-npc_test1.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o orxonox-npc_test1.obj `if test -f 'world_entities/npc_test1.cc'; then $(CYGPATH_W) 'world_entities/npc_test1.cc'; else $(CYGPATH_W) '$(srcdir)/world_entities/npc_test1.cc'; fi`
-
-orxonox-npc_test.o: world_entities/npc_test.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT orxonox-npc_test.o -MD -MP -MF "$(DEPDIR)/orxonox-npc_test.Tpo" -c -o orxonox-npc_test.o `test -f 'world_entities/npc_test.cc' || echo '$(srcdir)/'`world_entities/npc_test.cc; \
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='world_entities/npcs/npc_test1.cc' object='orxonox-npc_test1.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o orxonox-npc_test1.obj `if test -f 'world_entities/npcs/npc_test1.cc'; then $(CYGPATH_W) 'world_entities/npcs/npc_test1.cc'; else $(CYGPATH_W) '$(srcdir)/world_entities/npcs/npc_test1.cc'; fi`
+
+orxonox-npc_test.o: world_entities/npcs/npc_test.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT orxonox-npc_test.o -MD -MP -MF "$(DEPDIR)/orxonox-npc_test.Tpo" -c -o orxonox-npc_test.o `test -f 'world_entities/npcs/npc_test.cc' || echo '$(srcdir)/'`world_entities/npcs/npc_test.cc; \
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/orxonox-npc_test.Tpo" "$(DEPDIR)/orxonox-npc_test.Po"; else rm -f "$(DEPDIR)/orxonox-npc_test.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='world_entities/npc_test.cc' object='orxonox-npc_test.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o orxonox-npc_test.o `test -f 'world_entities/npc_test.cc' || echo '$(srcdir)/'`world_entities/npc_test.cc
-
-orxonox-npc_test.obj: world_entities/npc_test.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT orxonox-npc_test.obj -MD -MP -MF "$(DEPDIR)/orxonox-npc_test.Tpo" -c -o orxonox-npc_test.obj `if test -f 'world_entities/npc_test.cc'; then $(CYGPATH_W) 'world_entities/npc_test.cc'; else $(CYGPATH_W) '$(srcdir)/world_entities/npc_test.cc'; fi`; \
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='world_entities/npcs/npc_test.cc' object='orxonox-npc_test.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o orxonox-npc_test.o `test -f 'world_entities/npcs/npc_test.cc' || echo '$(srcdir)/'`world_entities/npcs/npc_test.cc
+
+orxonox-npc_test.obj: world_entities/npcs/npc_test.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT orxonox-npc_test.obj -MD -MP -MF "$(DEPDIR)/orxonox-npc_test.Tpo" -c -o orxonox-npc_test.obj `if test -f 'world_entities/npcs/npc_test.cc'; then $(CYGPATH_W) 'world_entities/npcs/npc_test.cc'; else $(CYGPATH_W) '$(srcdir)/world_entities/npcs/npc_test.cc'; fi`; \
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/orxonox-npc_test.Tpo" "$(DEPDIR)/orxonox-npc_test.Po"; else rm -f "$(DEPDIR)/orxonox-npc_test.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='world_entities/npc_test.cc' object='orxonox-npc_test.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o orxonox-npc_test.obj `if test -f 'world_entities/npc_test.cc'; then $(CYGPATH_W) 'world_entities/npc_test.cc'; else $(CYGPATH_W) '$(srcdir)/world_entities/npc_test.cc'; fi`
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='world_entities/npcs/npc_test.cc' object='orxonox-npc_test.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o orxonox-npc_test.obj `if test -f 'world_entities/npcs/npc_test.cc'; then $(CYGPATH_W) 'world_entities/npcs/npc_test.cc'; else $(CYGPATH_W) '$(srcdir)/world_entities/npcs/npc_test.cc'; fi`
 
 orxonox-environment.o: world_entities/environment.cc
@@ -1079,5 +1080,5 @@
 
 distdir: $(DISTFILES)
-	$(mkdir_p) $(distdir)/defs $(distdir)/proto $(distdir)/story_entities $(distdir)/subprojects $(distdir)/world_entities $(distdir)/world_entities/power_ups $(distdir)/world_entities/weapons
+	$(mkdir_p) $(distdir)/defs $(distdir)/proto $(distdir)/story_entities $(distdir)/subprojects $(distdir)/world_entities $(distdir)/world_entities/npcs $(distdir)/world_entities/power_ups $(distdir)/world_entities/weapons
 	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \